]> review.fuel-infra Code Review - openstack-build/ceilometer-build.git/commitdiff
Initial Debian folder.
authorThomas Goirand <thomas@goirand.fr>
Fri, 16 Nov 2012 07:07:29 +0000 (07:07 +0000)
committerThomas Goirand <thomas@goirand.fr>
Fri, 16 Nov 2012 07:07:29 +0000 (07:07 +0000)
Rewritten-From: 1c180ad8e5f8f8fd63042e11d346ae33cd84012a

26 files changed:
xenial/debian/README.Debian [new file with mode: 0644]
xenial/debian/ceilometer-agent-central.init [new file with mode: 0644]
xenial/debian/ceilometer-agent-central.install [new file with mode: 0644]
xenial/debian/ceilometer-agent-central.upstart.in [new file with mode: 0644]
xenial/debian/ceilometer-agent-compute.init [new file with mode: 0644]
xenial/debian/ceilometer-agent-compute.install [new file with mode: 0644]
xenial/debian/ceilometer-agent-compute.upstart.in [new file with mode: 0644]
xenial/debian/ceilometer-api.init [new file with mode: 0644]
xenial/debian/ceilometer-api.install [new file with mode: 0644]
xenial/debian/ceilometer-api.upstart.in [new file with mode: 0644]
xenial/debian/ceilometer-collector.init [new file with mode: 0644]
xenial/debian/ceilometer-collector.install [new file with mode: 0644]
xenial/debian/ceilometer-collector.upstart.in [new file with mode: 0644]
xenial/debian/ceilometer-common.dirs [new file with mode: 0644]
xenial/debian/ceilometer-common.install [new file with mode: 0644]
xenial/debian/ceilometer-common.postinst [new file with mode: 0644]
xenial/debian/changelog [new file with mode: 0644]
xenial/debian/compat [new file with mode: 0644]
xenial/debian/control [new file with mode: 0644]
xenial/debian/copyright [new file with mode: 0644]
xenial/debian/debian_control_vars [new file with mode: 0644]
xenial/debian/docs [new file with mode: 0644]
xenial/debian/gbp.conf [new file with mode: 0644]
xenial/debian/python-ceilometer.install [new file with mode: 0644]
xenial/debian/rules [new file with mode: 0755]
xenial/debian/source/format [new file with mode: 0644]

diff --git a/xenial/debian/README.Debian b/xenial/debian/README.Debian
new file mode 100644 (file)
index 0000000..ca0ec7d
--- /dev/null
@@ -0,0 +1,2 @@
+In order to configure both the agents and collector you have to put notification_topics 'notifications,glance_notifications'
+in your /etc/nova/nova.conf.
diff --git a/xenial/debian/ceilometer-agent-central.init b/xenial/debian/ceilometer-agent-central.init
new file mode 100644 (file)
index 0000000..fa2fff1
--- /dev/null
@@ -0,0 +1,104 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          ceilometer-agent-central
+# Required-Start:    $network $local_fs $remote_fs $syslog
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: ceilometer central agent
+# Description:       ceilometer central agent
+### END INIT INFO
+
+# Author: Thomas Goirand <zigo@debian.org>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Ceilometer Agent Central"
+SYS_NAME=ceilometer
+NAME=ceilometer-agent-central
+DAEMON=/usr/bin/ceilometer-agent-central
+DAEMON_ARGS="--config-file /etc/nova/nova.conf"
+[ -f '/etc/nova/nova-compute.conf' ] && DAEMON_ARGS=${DAEMON_ARGS}" --config-file=/etc/nova/nova-compute.conf"
+
+SCRIPTNAME=/etc/init.d/${NAME}
+DAEMON_USER=${SYS_NAME}
+DAEMON_GROUP=${SYS_NAME}
+LOCK_DIR=/var/lock/${SYS_NAME}
+PID_DIR=/var/run/${SYS_NAME}
+PID_FILE=${PID_DIR}/${NAME}.pid
+
+[ -x $DAEMON ] || exit 0
+
+for i in ${LOCK_DIR} ${PID_DIR} ; do
+       [ ! -d ${i} ] && mkdir -p ${i}
+       [ -d ${i} ] && chown ${DAEMON_USER}:${DAEMON_GROUP} ${i}
+done
+
+. /lib/lsb/init-functions
+
+do_start() {
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON \
+                       --test > /dev/null \
+                       || return 1
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON -- $DAEMON_ARGS \
+                       || return 2
+}
+
+do_stop() {
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PID_FILE
+       RETVAL=$?
+       rm -f $PID_FILE
+       return "$RETVAL"
+}
+
+case "$1" in
+start)
+       log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+stop)
+       log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+;;
+restart|force-reload)
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case $? in
+       0|1)
+               do_start
+               case $? in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+       ;;
+       *) log_end_msg 1 ;; # Failed to stop
+       esac
+;;
+*)
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+;;
+esac
+
+exit 0
diff --git a/xenial/debian/ceilometer-agent-central.install b/xenial/debian/ceilometer-agent-central.install
new file mode 100644 (file)
index 0000000..0902295
--- /dev/null
@@ -0,0 +1 @@
+usr/bin/ceilometer-agent-central
diff --git a/xenial/debian/ceilometer-agent-central.upstart.in b/xenial/debian/ceilometer-agent-central.upstart.in
new file mode 100644 (file)
index 0000000..1427b9c
--- /dev/null
@@ -0,0 +1,17 @@
+description "ceilometer-agent-compute"
+author "Chuck Short <zulcss@ubuntu.com>"
+
+start on runlevel [2345]
+stop on runlelvel [016]
+
+chdir /var/run
+
+pre-start script
+       mkdir -p /var/run/ceilometer
+       chown ceilometer:ceilometer /var/run/ceilometer
+
+       mkdir -p /var/lock/ceilometer
+       chown ceilometer:ceilometer /var/lock/ceilometer
+end script
+
+exec su -s /bin/sh -c "exec ceilometer-agent-central --config-file /etc/nova/nova.conf" ceilometer
diff --git a/xenial/debian/ceilometer-agent-compute.init b/xenial/debian/ceilometer-agent-compute.init
new file mode 100644 (file)
index 0000000..1429ed4
--- /dev/null
@@ -0,0 +1,104 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          ceilometer-agent-compute
+# Required-Start:    $network $local_fs $remote_fs $syslog
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: ceilometer central compute
+# Description:       ceilometer central compute
+### END INIT INFO
+
+# Author: Thomas Goirand <zigo@debian.org>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Ceilometer Agent Compute"
+SYS_NAME=ceilometer
+NAME=ceilometer-agent-compute
+DAEMON=/usr/bin/ceilometer-agent-compute
+DAEMON_ARGS="--config-file /etc/nova/nova.conf"
+[ -f '/etc/nova/nova-compute.conf' ] && DAEMON_ARGS=${DAEMON_ARGS}" --config-file=/etc/nova/nova-compute.conf"
+
+SCRIPTNAME=/etc/init.d/${NAME}
+DAEMON_USER=${SYS_NAME}
+DAEMON_GROUP=${SYS_NAME}
+LOCK_DIR=/var/lock/${SYS_NAME}
+PID_DIR=/var/run/${SYS_NAME}
+PID_FILE=${PID_DIR}/${NAME}.pid
+
+[ -x $DAEMON ] || exit 0
+
+for i in ${LOCK_DIR} ${PID_DIR} ; do
+       [ ! -d ${i} ] && mkdir -p ${i}
+       [ -d ${i} ] && chown ${DAEMON_USER}:${DAEMON_GROUP} ${i}
+done
+
+. /lib/lsb/init-functions
+
+do_start() {
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON \
+                       --test > /dev/null \
+                       || return 1
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON -- $DAEMON_ARGS \
+                       || return 2
+}
+
+do_stop() {
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PID_FILE
+       RETVAL=$?
+       rm -f $PID_FILE
+       return "$RETVAL"
+}
+
+case "$1" in
+start)
+       log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+stop)
+       log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+;;
+restart|force-reload)
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case $? in
+       0|1)
+               do_start
+               case $? in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+       ;;
+       *) log_end_msg 1 ;; # Failed to stop
+       esac
+;;
+*)
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+;;
+esac
+
+exit 0
diff --git a/xenial/debian/ceilometer-agent-compute.install b/xenial/debian/ceilometer-agent-compute.install
new file mode 100644 (file)
index 0000000..773283a
--- /dev/null
@@ -0,0 +1 @@
+usr/bin/ceilometer-agent-compute
diff --git a/xenial/debian/ceilometer-agent-compute.upstart.in b/xenial/debian/ceilometer-agent-compute.upstart.in
new file mode 100644 (file)
index 0000000..8dc245f
--- /dev/null
@@ -0,0 +1,17 @@
+description "ceilometer-agent-compute"
+author "Chuck Short <zulcss@ubuntu.com>"
+
+start on runlevel [2345]
+stop on runlelvel [016]
+
+chdir /var/run
+
+pre-start script
+       mkdir -p /var/run/ceilometer
+       chown ceilometer:ceilometer /var/run/ceilometer
+
+       mkdir -p /var/lock/ceilometer
+       chown ceilometer:ceilometer /var/lock/ceilometer
+end script
+
+exec su -s /bin/sh -c "exec ceilometer-agent-compute --config-file /etc/nova/nova.conf" ceilometer
diff --git a/xenial/debian/ceilometer-api.init b/xenial/debian/ceilometer-api.init
new file mode 100644 (file)
index 0000000..7010774
--- /dev/null
@@ -0,0 +1,103 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          ceilometer-api
+# Required-Start:    $network $local_fs $remote_fs $syslog
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: ceilometer api
+# Description:       ceilometer api
+### END INIT INFO
+
+# Author: Thomas Goirand <zigo@debian.org>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Ceilometer API"
+SYS_NAME=ceilometer
+NAME=ceilometer-api
+DAEMON=/usr/bin/${NAME}
+DAEMON_ARGS="-d -v --log-dir=/var/log/ceilometer"
+
+SCRIPTNAME=/etc/init.d/${NAME}
+DAEMON_USER=${SYS_NAME}
+DAEMON_GROUP=${SYS_NAME}
+LOCK_DIR=/var/lock/${SYS_NAME}
+PID_DIR=/var/run/${SYS_NAME}
+PID_FILE=${PID_DIR}/${NAME}.pid
+
+[ -x $DAEMON ] || exit 0
+
+for i in ${LOCK_DIR} ${PID_DIR} ; do
+       [ ! -d ${i} ] && mkdir -p ${i}
+       [ -d ${i} ] && chown ${DAEMON_USER}:${DAEMON_GROUP} ${i}
+done
+
+. /lib/lsb/init-functions
+
+do_start() {
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON \
+                       --test > /dev/null \
+                       || return 1
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON -- $DAEMON_ARGS \
+                       || return 2
+}
+
+do_stop() {
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PID_FILE
+       RETVAL=$?
+       rm -f $PID_FILE
+       return "$RETVAL"
+}
+
+case "$1" in
+start)
+       log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+stop)
+       log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+;;
+restart|force-reload)
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case $? in
+       0|1)
+               do_start
+               case $? in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+       ;;
+       *) log_end_msg 1 ;; # Failed to stop
+       esac
+;;
+*)
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+;;
+esac
+
+exit 0
diff --git a/xenial/debian/ceilometer-api.install b/xenial/debian/ceilometer-api.install
new file mode 100644 (file)
index 0000000..308a676
--- /dev/null
@@ -0,0 +1 @@
+usr/bin/ceilometer-api
diff --git a/xenial/debian/ceilometer-api.upstart.in b/xenial/debian/ceilometer-api.upstart.in
new file mode 100644 (file)
index 0000000..c37991e
--- /dev/null
@@ -0,0 +1,17 @@
+description "ceilometer-agent-compute"
+author "Chuck Short <zulcss@ubuntu.com>"
+
+start on runlevel [2345]
+stop on runlelvel [016]
+
+chdir /var/run
+
+pre-start script
+       mkdir -p /var/run/ceilometer
+       chown ceilometer:ceilometer /var/run/ceilometer
+
+       mkdir -p /var/lock/ceilometer
+       chown ceilometer:ceilometer /var/lock/ceilometer
+end script
+
+exec su -s /bin/sh -c "exec ceilometer-api -d -v --log-dir=/var/log/ceilometer" ceilometer
diff --git a/xenial/debian/ceilometer-collector.init b/xenial/debian/ceilometer-collector.init
new file mode 100644 (file)
index 0000000..7ba862e
--- /dev/null
@@ -0,0 +1,105 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          ceilometer-collector
+# Required-Start:    $network $local_fs $remote_fs $syslog
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: ceilometer collector
+# Description:       ceilometer collector
+### END INIT INFO
+
+# Author: Thomas Goirand <zigo@debian.org>
+# License: Apache-2
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Ceilometer Collector"
+SYS_NAME=ceilometer
+NAME=ceilometer-collector
+DAEMON=/usr/bin/${NAME}
+DAEMON_ARGS="--config-file /etc/nova/nova.conf"
+[ -f '/etc/nova/nova-compute.conf' ] && DAEMON_ARGS=${DAEMON_ARGS}" --config-file=/etc/nova/nova-compute.conf"
+
+SCRIPTNAME=/etc/init.d/${NAME}
+DAEMON_USER=${SYS_NAME}
+DAEMON_GROUP=${SYS_NAME}
+LOCK_DIR=/var/lock/${SYS_NAME}
+PID_DIR=/var/run/${SYS_NAME}
+PID_FILE=${PID_DIR}/${NAME}.pid
+
+[ -x $DAEMON ] || exit 0
+
+for i in ${LOCK_DIR} ${PID_DIR} ; do
+       [ ! -d ${i} ] && mkdir -p ${i}
+       [ -d ${i} ] && chown ${DAEMON_USER}:${DAEMON_GROUP} ${i}
+done
+
+. /lib/lsb/init-functions
+
+do_start() {
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON \
+                       --test > /dev/null \
+                       || return 1
+       start-stop-daemon --start \
+                       --background --quiet \
+                       --chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+                       --make-pidfile --pidfile ${PID_FILE} \
+                       --chdir /var/run \
+                       --startas $DAEMON -- $DAEMON_ARGS \
+                       || return 2
+}
+
+do_stop() {
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PID_FILE
+       RETVAL=$?
+       rm -f $PID_FILE
+       return "$RETVAL"
+}
+
+case "$1" in
+start)
+       log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+stop)
+       log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case $? in
+               0|1) log_end_msg 0 ;;
+               2) log_end_msg 1 ;;
+       esac
+;;
+status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+;;
+restart|force-reload)
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case $? in
+       0|1)
+               do_start
+               case $? in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+       ;;
+       *) log_end_msg 1 ;; # Failed to stop
+       esac
+;;
+*)
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+;;
+esac
+
+exit 0
diff --git a/xenial/debian/ceilometer-collector.install b/xenial/debian/ceilometer-collector.install
new file mode 100644 (file)
index 0000000..9a114b9
--- /dev/null
@@ -0,0 +1 @@
+usr/bin/ceilometer-collector
diff --git a/xenial/debian/ceilometer-collector.upstart.in b/xenial/debian/ceilometer-collector.upstart.in
new file mode 100644 (file)
index 0000000..6670063
--- /dev/null
@@ -0,0 +1,17 @@
+description "ceilometer-agent-compute"
+author "Chuck Short <zulcss@ubuntu.com>"
+
+start on runlevel [2345]
+stop on runlelvel [016]
+
+chdir /var/run
+
+pre-start script
+       mkdir -p /var/run/ceilometer
+       chown ceilometer:ceilometer /var/run/ceilometer
+
+       mkdir -p /var/lock/ceilometer
+       chown ceilometer:ceilometer /var/lock/ceilometer
+end script
+
+exec su -s /bin/sh -c "exec ceilometer-collector --config-file /etc/nova/nova.conf" ceilometer
diff --git a/xenial/debian/ceilometer-common.dirs b/xenial/debian/ceilometer-common.dirs
new file mode 100644 (file)
index 0000000..bce7e7b
--- /dev/null
@@ -0,0 +1,3 @@
+etc/ceilometer
+var/lib/ceilometer
+var/log/ceilometer
diff --git a/xenial/debian/ceilometer-common.install b/xenial/debian/ceilometer-common.install
new file mode 100644 (file)
index 0000000..c0f51cf
--- /dev/null
@@ -0,0 +1 @@
+tools/show_data.py usr/share/doc/ceilometer
diff --git a/xenial/debian/ceilometer-common.postinst b/xenial/debian/ceilometer-common.postinst
new file mode 100644 (file)
index 0000000..c2595a5
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/sh -e
+
+if [ "$1" = "configure" ]; then
+       if ! getenv group ceilometer > /dev/null 2>&1; then
+               addgroup --quiet --system ceilometer >/dev/null
+       fi
+
+       if ! getenv passwd ceilometer > /dev/null 2>&1; then
+               adduser --system \
+                       --home /var/lib/ceilometer \
+                       --no-create-home \
+                       --quiet \
+                       --disabled-password \
+                       --shell /bin/false \
+                       --group ceilometer \
+                       ceilometer
+       fi
+
+       chown -R ceilometer:adm /var/log/ceilometer
+       chmod 0750 /var/log/ceilometer
+       chown -R ceilometer:ceilometer /var/lib/ceilometer /etc/ceilometer
+fi
+
+#DEBHELPER#
diff --git a/xenial/debian/changelog b/xenial/debian/changelog
new file mode 100644 (file)
index 0000000..7e761e6
--- /dev/null
@@ -0,0 +1,5 @@
+ceilometer (0.1-1) experimental; urgency=low
+
+  * Initial release.
+
+ -- Thomas Goirand <zigo@debian.org>  Wed, 14 Nov 2012 14:41:52 +0000
diff --git a/xenial/debian/compat b/xenial/debian/compat
new file mode 100644 (file)
index 0000000..ec63514
--- /dev/null
@@ -0,0 +1 @@
+9
diff --git a/xenial/debian/control b/xenial/debian/control
new file mode 100644 (file)
index 0000000..9f145b0
--- /dev/null
@@ -0,0 +1,141 @@
+Source: ceilometer
+Section: python
+Priority: optional
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
+           Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Ghe Rivero <ghe.rivero@stackops.com>,
+           Mehdi Abaakouk <sileht@sileht.net>
+Build-Depends: debhelper (>= 9),
+ python-all (>= 2.6),
+ python-all-dev (>=  2.6.6-3~)
+Build-Depends-Indep: pep8,
+ python-anyjson, 
+ python-eventlet,  
+ python-flask,  
+ python-glance,
+ python-glanceclient,
+ python-iso8601,
+ python-kombu,  
+ python-lockfile,
+ python-ming,
+ python-mock,
+ python-mox,   
+ python-netaddr,  
+ python-nose,
+ python-nova,
+ python-setuptools-git,
+ python-sqlalchemy,
+ python-stevedore,
+ python-webob,
+Standards-Version: 3.9.3
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
+Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
+Homepage: http://wiki.openstack.org/Ceilometer
+
+Package: python-ceilometer
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${python:Depends}, ${misc:Depends},
+ python-anyjson,   
+ python-eventlet,  
+ python-flask,     
+ python-iso8601,
+ python-kombu,
+ python-lockfile,
+ python-netaddr, 
+ python-sqlalchemy,
+ python-stevedore, 
+ python-webob
+Description: ceilometer python libraries
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains the python libraries that are needed for all parts of
+ ceilometer
+
+Package: ceilometer-common
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: python-ceilometer (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
+Provides: ${python:Provides}
+Description: ceilometer common files
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains files that are needed for all parts of ceilometer
+
+Package: ceilometer-collector
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${ostack-lsb-base}, ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Description: ceilometer collector service
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains the collector service
+
+Package: ceilometer-api
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${ostack-lsb-base}, ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Description: ceilometer api service
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ This package contains the api service
+
+Package: ceilometer-agent-compute
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${ostack-lsb-base}, ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Description: ceilometer compute agent
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains the compute agent
+
+Package: ceilometer-agent-central
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${ostack-lsb-base}, ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Description: ceilometer central agent
+ Ceilometer aims to deliver a unique point of contact for billing systems to 
+ aquire all counters they need to establish customer billing, accross all
+ current and future OpenStack components. The delivery of counters must be
+ tracable and auditable, the counters must be easily extensible to support new
+ projects, and agents doing data collections should be independent of the
+ overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains the central agent.
diff --git a/xenial/debian/copyright b/xenial/debian/copyright
new file mode 100644 (file)
index 0000000..3ed27e3
--- /dev/null
@@ -0,0 +1,34 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: ceilometer
+Upstream-Contact: Julien Danjou <acid@debian.org>, 
+Source: https://github.com/stackforge/ceilometer
+
+Files: debian/*
+Copyright: 2012 Thomas Goirand <zigo@debian.org>
+License: Apache-2
+
+Files: *
+Copyright: 2012 New Dream Network, LLC (DreamHost)
+           2012 eNovance 
+           2012 Red Hat Inc.
+           2010 United States Government 
+           2011 Cloudscaling Group, Inc
+           2011 OpenStack LLC.
+           2012 Nicolas Barcet for Canonical
+License: Apache-2
+
+License: Apache-2
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+ .
+    http://www.apache.org/licenses/LICENSE-2.0
+ .
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+ .
+ On Debian-based systems the full text of the Apache version 2.0 license
+ can be found in `/usr/share/common-licenses/Apache-2.0'.
diff --git a/xenial/debian/debian_control_vars b/xenial/debian/debian_control_vars
new file mode 100644 (file)
index 0000000..d4e93e1
--- /dev/null
@@ -0,0 +1 @@
+ostack-lsb-base= lsb-base
diff --git a/xenial/debian/docs b/xenial/debian/docs
new file mode 100644 (file)
index 0000000..b43bf86
--- /dev/null
@@ -0,0 +1 @@
+README.md
diff --git a/xenial/debian/gbp.conf b/xenial/debian/gbp.conf
new file mode 100644 (file)
index 0000000..fe85503
--- /dev/null
@@ -0,0 +1,8 @@
+[DEFAULT]
+upstream-branch = master
+debian-branch = debian/experimental
+upstream-tag = %(version)s
+compression = xz
+
+[git-buildpackage]
+export-dir = ../build-area/
diff --git a/xenial/debian/python-ceilometer.install b/xenial/debian/python-ceilometer.install
new file mode 100644 (file)
index 0000000..036c6b9
--- /dev/null
@@ -0,0 +1 @@
+usr/lib/python*/dist-packages/*
diff --git a/xenial/debian/rules b/xenial/debian/rules
new file mode 100755 (executable)
index 0000000..16c9d19
--- /dev/null
@@ -0,0 +1,54 @@
+#!/usr/bin/make -f
+
+#export DH_VERBOSE=1
+
+%:
+       dh $@  --with python2
+
+DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
+DEBFLAVOR :=$(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
+DEBPKGNAME :=$(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
+
+override_dh_auto_clean:
+       dh_auto_clean
+       rm -rf debian/*.upstart
+
+override_dh_installinit:
+       if dpkg-vendor --derives-from ubuntu ; then \
+               for i in *.upstart.in ; do \
+                       MYPKG=`echo $i | cut -d. -f1` ; \
+                       cp $MYPKG.upstart.in $MYPKG.upstart ; \
+               done ; \
+       fi
+       dh_installinit --error-handler=true
+
+override_dh_gencontrol:
+       if dpkg-vendor --derives-from ubuntu ; then \
+               dh_gencontrol -- -T$(CURDIR)/debian/ubuntu_control_vars ; \
+       else \
+               dh_gencontrol -- -T$(CURDIR)/debian/debian_control_vars ; \
+       fi
+
+override_dh_builddeb:
+       dh_builddeb -- -Zxz -z9
+
+regen-manifest-patch:
+       quilt pop -a || true
+       quilt push install-missing-files.patch
+       git checkout MANIFEST.in
+       git ls-files --no-empty-directory --exclude-standard nova | grep -v '.py$$' | sed -n 's/.*/include &/gp' >> MANIFEST.in
+       quilt refresh
+       quilt pop -a
+
+get-vcs-source:
+       git remote add upstream git://github.com/openstack/$(DEBPKGNAME).git || true
+       git fetch upstream
+       if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
+               git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ $(VERSION) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
+       fi
+       if ! git checkout master ; then \
+               echo "No upstream branch: checking out" ; \
+               git checkout -b master upstream/master ; \
+       fi
+       git checkout debian/experimental
diff --git a/xenial/debian/source/format b/xenial/debian/source/format
new file mode 100644 (file)
index 0000000..163aaf8
--- /dev/null
@@ -0,0 +1 @@
+3.0 (quilt)